Kontentga o'tish

Foyda va zararlar

GET
/v1/profit-and-lose
curl --request GET \
--url 'https://api-admin.billz.ai/v1/profit-and-lose?start_date=2026-08-01&end_date=2026-08-31&shop_ids=09737a5c-19ee-4eb2-af02-4bdabf8a15e5%2Cb03661ba-731a-4e50-8f37-d220b89d718e&currency=UZS' \
--header 'Authorization: Bearer <token>' \
--header 'accept-language: ru' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Talab qilinadigan ruxsatlar: «Foyda va zararlar».

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

start_date
string format: date
Example
2026-08-01

Format YYYY-MM-DD, vaqtsiz

end_date
string format: date
Example
2026-08-31

Format YYYY-MM-DD, vaqtsiz

shop_ids
Array<string>

Bo’sh bo’lsa — kompaniyaning barcha do’konlari

Example
[
"09737a5c-19ee-4eb2-af02-4bdabf8a15e5",
"b03661ba-731a-4e50-8f37-d220b89d718e"
]
currency
string

Hisobot summalari valyutasi

Example
UZS
accept-language
string
default: ru

Uz|ru|en, aks holda ru

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
shops

Do’konlar bo’yicha hisobot ma’lumotlari

Array<object>
object
account_id
string
account_name
string
income
object
sale_price

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
discount

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
returned_price

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
net_revenue

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
total

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
categories
Array<object>
object
rounding_amount

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
net_revenue_without_rounding

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
expense
object
import

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
write_off

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
total

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
margin_profit

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
margin_profit_percent

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
categories
Array<object>
object
profit

Davrlar bo’yicha summalar: kalit — davr boshlanishi, total — butun oraliq uchun jami

object
total
number
key
additional properties
number
dates

Barcha map-maydonlar uchun kalit bo’lib xizmat qiluvchi davrlar ro’yxati

Array<string>
Examplegenerated
{
"shops": [
{
"account_id": "example",
"account_name": "example",
"income": {
"sale_price": {
"total": 1
},
"discount": {
"total": 1
},
"returned_price": {
"total": 1
},
"net_revenue": {
"total": 1
},
"total": {
"total": 1
},
"categories": [
{}
],
"rounding_amount": {
"total": 1
},
"net_revenue_without_rounding": {
"total": 1
}
},
"expense": {
"import": {
"total": 1
},
"write_off": {
"total": 1
},
"total": {
"total": 1
},
"margin_profit": {
"total": 1
},
"margin_profit_percent": {
"total": 1
},
"categories": [
{}
]
},
"profit": {
"total": 1
}
}
],
"dates": [
"example"
]
}